SDL_memcmp(3)

NAME
SDL_memcmp - Compare two buffers of memory.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_memcmp(const void *s1, const void *s2, size_t len);

FUNCTION PARAMETERS

s1  the first buffer to compare. NULL is not permitted!

s2  the second buffer to compare. NULL is not permitted!

len the number of bytes to compare between the buffers.

RETURN VALUE
Returns less than zero if s1 is "less than" s2, greater than zero if s1 is "greater than" s2, and zero if the buffers match exactly for len bytes.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.